## org.ascape.model.rule
Class NotifyViews

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.rule.Rule
              org.ascape.model.rule.Propogate
                  org.ascape.model.rule.PropogateScapeOnly
                      org.ascape.model.rule.NotifyViews

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, HasName, RandomFunctions

    public class NotifyViews

extends PropogateScapeOnly

A rule causing the target to notify its views that an update has occured.

Since:
  1.0
Version:
  1.0.1
Author:
  Miles Parker
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`NotifyViews(int id)` Instantiates a new notify views.

Method Summary
`void` `execute(Agent agent)` Notify all views of state update.

Methods inherited from class org.ascape.model.rule.PropogateScapeOnly
`isScapeOnly`

Methods inherited from class org.ascape.model.rule.Propogate
`isRandomExecution`

Methods inherited from class org.ascape.model.rule.Rule
`getScape, isCauseRemoval, isIterateAll, setScape`

Methods inherited from class org.ascape.model.AscapeObject
`clone, diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getName, getRandom, getRandomSeed, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotifyViews

    public NotifyViews(int id)

  Instantiates a new notify views.

  Parameters:
    `id` - the id

Method Detail

### execute

    public void execute(Agent agent)

  Notify all views of state update.

  Overrides:
    `execute` in class `Propogate`
  Parameters:
    `agent` - the agent (scape) to notify veiws
  See Also:
    `Scape.notifyViews(int)`